#!/usr/bin/python
#------------------------------------------------------------------------------
# Copyright (c) 2007-2014 Perforce Software, Inc.  Provided for use as defined in
# the Perforce Consulting Services Agreement.
#------------------------------------------------------------------------------

"""
This script will count the total number of files and revisions from a list of files
in the Perforce server.

Usage:
	Run p4 files //... > files.txt, then run:

	python countrevs.py files.txt
"""

import sys, os, string, re

def main():
	if len (sys.argv) <= 1:
		print ("Read the usage section at the top of the script for required parameters.")
		sys.exit(1)

	input = open(sys.argv[1], "r")

	filecount = 0
	revcount = 0

	for line in input.readlines():
		filecount = filecount + 1
		revcount = revcount + int(re.search(r"#(\d+)", line).group(1))

	print ("Total number of files = %s" % (filecount))
	print ("Total number of revisions = %s" % (revcount))

	input.close()

###############################################################################
if __name__ == '__main__':
  main()
